#ifndef __SRSTRIGGERHANDLER_H__
#define __SRSTRIGGERHANDLER_H__

#include <sys/select.h>
#include "TriggerHandler.h"


class mwpcTriggerHandler : public TriggerHandler {

public:

  mwpcTriggerHandler()
    {
      _s = 0;
      _go = 0;
      _oldValue = 0;

    }

  int enable()  { _go = 1;};
  int disable() { _go = 0;};

  ~mwpcTriggerHandler() {};

  //  virtual void identify(std::ostream& os = std::cout) const = 0;

  // this is the virtual worker routine
  int wait_for_trigger( const int moreinfo=0);
  int setFD (const int fd) { _s = fd;};

 protected:
  
  int readValue( const int adr);

  int _s;
  int _go;
  unsigned short _oldValue;

  
};

#endif
